Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
event::Engine::EventDesc Struct Reference

An event descriptor. More...

`import "EventEngine.idl";`

## Public Types
enum | Type { NODE , DYN_NODE , LEAF }
| Event descriptor type. More...

## Public Attributes
Type | eventDescType
| Event descriptor type.
Event::Type | eventType
| Event type.
string | dynNodeContext
| Dynamic node context.
string | idComp
| Event ID component.
string | name
| User-defined name.
boolean | hasSnmpTrap
| Whether an SNMP trap is defined for the event.
vector< EventDesc > | entries
| Child nodes.

## Detailed Description

An event descriptor.

In case eventDescType is LEAF then the descriptor refers to a 'real' event. In this case eventType is set and the entries vector is empty. Otherwise eventType is a don't care and the entries vector contains sub-entries. In case eventDescType is DYN_NODE then the dynNodeContext contains a key which is used to generate a dynamic node.

Definition at line 68 of file EventEngine.idl.

## Member Enumeration Documentation

## ◆ Type

enum event::Engine::EventDesc::Type

Event descriptor type.

Enumerator
NODE | Intermediate node.
DYN_NODE | Dynamic node.
LEAF | Leaf node.

Definition at line 71 of file EventEngine.idl.

## Member Data Documentation

## ◆ dynNodeContext

string event::Engine::EventDesc::dynNodeContext

Dynamic node context.

Definition at line 79 of file EventEngine.idl.

## ◆ entries

vector<EventDesc> event::Engine::EventDesc::entries

Child nodes.

Definition at line 83 of file EventEngine.idl.

## ◆ eventDescType

Type event::Engine::EventDesc::eventDescType

Event descriptor type.

Definition at line 77 of file EventEngine.idl.

## ◆ eventType

Event::Type event::Engine::EventDesc::eventType

Event type.

Definition at line 78 of file EventEngine.idl.

## ◆ hasSnmpTrap

boolean event::Engine::EventDesc::hasSnmpTrap

Whether an SNMP trap is defined for the event.

Definition at line 82 of file EventEngine.idl.

## ◆ idComp

string event::Engine::EventDesc::idComp

Event ID component.

Definition at line 80 of file EventEngine.idl.

## ◆ name

string event::Engine::EventDesc::name

User-defined name.

Definition at line 81 of file EventEngine.idl.

The documentation for this struct was generated from the following file:

- EventEngine.idl